API reference
Your account
The signed-in person.
GET/me
List me
curl -X GET https://crm.anibrosdesign.com/api/v1/me \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 429
PATCH/me
Change a me
| Body field | Type | Notes |
|---|---|---|
name | string | at least 2 characters. up to 100 characters |
phone | string or null | |
timezone | string | |
locale | string |
curl -X PATCH https://crm.anibrosdesign.com/api/v1/me \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"name":"text","phone":"text","timezone":"text"}'Responses:
200 400 401 402 412 429
POST/me/mfa/confirm
Confirm (mes)
| Body field | Type | Notes |
|---|---|---|
code required | string |
curl -X POST https://crm.anibrosdesign.com/api/v1/me/mfa/confirm \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"code":"text"}'Responses:
200 400 401 402 429
POST/me/mfa/disable
Disable (mes)
| Body field | Type | Notes |
|---|---|---|
password required | string | at least 1 characters. up to 128 characters |
code required | string | at least 6 characters. up to 32 characters |
curl -X POST https://crm.anibrosdesign.com/api/v1/me/mfa/disable \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"password":"text","code":"text"}'Responses:
204 400 401 402 429
POST/me/mfa/recovery-codes
Recovery codes (mes)
| Body field | Type | Notes |
|---|---|---|
code required | string |
curl -X POST https://crm.anibrosdesign.com/api/v1/me/mfa/recovery-codes \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"code":"text"}'Responses:
200 400 401 402 429
POST/me/mfa/setup
Setup (mes)
curl -X POST https://crm.anibrosdesign.com/api/v1/me/mfa/setup \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 402 429
POST/me/password
Password (mes)
| Body field | Type | Notes |
|---|---|---|
currentPassword required | string | at least 1 characters. up to 128 characters |
newPassword required | string | at least 1 characters. up to 128 characters |
curl -X POST https://crm.anibrosdesign.com/api/v1/me/password \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"currentPassword":"text","newPassword":"text"}'Responses:
204 400 401 402 429
GET/me/sessions
Get sessions (mes)
curl -X GET https://crm.anibrosdesign.com/api/v1/me/sessions \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 429
DELETE/me/sessions
Remove sessions (mes)
curl -X DELETE https://crm.anibrosdesign.com/api/v1/me/sessions \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 402 429
DELETE/me/sessions/{id}
Remove sessions (me)
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
curl -X DELETE https://crm.anibrosdesign.com/api/v1/me/sessions/{id} \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
204 400 401 402 404 429
POST/me/switch-tenant
Switch tenant (mes)
| Body field | Type | Notes |
|---|---|---|
tenantId required | string (uuid) |
curl -X POST https://crm.anibrosdesign.com/api/v1/me/switch-tenant \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"tenantId":"01a15d23-0000-7000-8000-000000000000"}'Responses:
200 400 401 402 429
Something missing or unclear? Tell us.